# Interface InternalFunction

#### Hierarchy

- InternalFunction

- Defined in codec/lib/evm/types.ts:60

#####
Index

### Properties

compilationId?
contractId?
contractKind?
contractName?
contractNode?
contractPayable?
contractPointer?
id?
isDesignatedInvalid
mutability?
name?
node?
pointer?
sourceIndex?

## Properties

### `Optional` compilationId

compilationId?: string

- Defined in codec/lib/evm/types.ts:62

### `Optional` contractId

contractId?: number

- Defined in codec/lib/evm/types.ts:71

### `Optional` contractKind

contractKind?: ContractKind

- Defined in codec/lib/evm/types.ts:72

### `Optional` contractName

contractName?: string

- Defined in codec/lib/evm/types.ts:70

### `Optional` contractNode

contractNode?: AstNode

- Defined in codec/lib/evm/types.ts:69

### `Optional` contractPayable

contractPayable?: boolean

- Defined in codec/lib/evm/types.ts:73

### `Optional` contractPointer

contractPointer?: string

- Defined in codec/lib/evm/types.ts:68

### `Optional` id

id?: number

- Defined in codec/lib/evm/types.ts:66

### isDesignatedInvalid

isDesignatedInvalid: boolean

- Defined in codec/lib/evm/types.ts:74

### `Optional` mutability

mutability?: Mutability

- Defined in codec/lib/evm/types.ts:67

### `Optional` name

name?: string

- Defined in codec/lib/evm/types.ts:65

### `Optional` node

node?: AstNode

- Defined in codec/lib/evm/types.ts:64

### `Optional` pointer

pointer?: string

- Defined in codec/lib/evm/types.ts:63

### `Optional` sourceIndex

sourceIndex?: number

- Defined in codec/lib/evm/types.ts:61

Generated using TypeDoc